BazaarLinkBazaarLink
로그인
문서API 레퍼런스SDK 레퍼런스에이전트 사용법AI 스킬
Social and Commerce Data

Submit social data

플랫폼과 작업으로 공개 소셜 또는 커머스 데이터를 가져옵니다. 서비스는 곧 제공되며 기본적으로 꺼져 있습니다. 성공한 결과는 한 번만 과금되고 실패와 결과 없음은 무료입니다.

POST/v1/data/social

인증

Authorization필수
string · header

Authorization 헤더에 Bearer 토큰으로 API 키를 전달합니다.

Body

platform필수
string

카탈로그의 플랫폼 ID(예: twitter 또는 instagram).

action필수
string

해당 플랫폼이 지원하는 작업입니다. 사용 가능한 조합은 카탈로그를 확인하세요.

params
object

작업별 입력입니다. 카탈로그의 required_params와 optional_params를 사용하세요.

mode
sync | async

선택 사항입니다. async는 폴링할 작업을 반환하며, 비동기 전용 작업은 생략해도 작업을 반환합니다.

syncasync

심층 가이드 →

POST /v1/data/social
curl https://api.bazaarlink.ai/v1/data/social \
  -H "Authorization: Bearer $BAZAARLINK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"platform":"twitter","action":"search","params":{"keyword":"BazaarLink","limit":5}}'
응답 예시

count, results, usage.cost(USD)를 포함한 완료된 data.social 결과입니다.

{
  "id": "req_example",
  "object": "data.social",
  "platform": "twitter",
  "action": "search",
  "count": 1,
  "results": [
    {
      "id": "post_example",
      "url": "https://x.com/someone/status/post_example",
      "text": "Example post",
      "like_count": 120,
      "reply_count": 8,
      "retweet_count": 14,
      "view_count": 5400,
      "posted_at": "2026-10-07T00:48:38+00:00",
      "author_username": "someone",
      "author_name": "Someone",
      "platform": "twitter"
    }
  ],
  "usage": {
    "cost": 0.0048
  }
}
Support
Support
Hi! How can we help you?
Send a message and we'll get back to you soon.
Submit social data — BazaarLink API